Overview
Comment: | Merged in trunk |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | tls-1-7 |
Files: | files | file ages | folders |
SHA1: |
f7d1440f12515743e668e1279dd1de22 |
User & Date: | rkeene on 2016-12-13 18:54:29 |
Other Links: | branch diff | manifest | tags |
Context
2016-12-13
| ||
18:55 | TclTLS 1.7.8 check-in: 22c5b96dcd user: rkeene tags: tls-1-7, tls-1-7-8 | |
18:54 | Merged in trunk check-in: f7d1440f12 user: rkeene tags: tls-1-7 | |
18:49 | Less heavy handed rewriting of error codes in Tcl BIO check-in: d8ce3045d5 user: rkeene tags: trunk | |
17:17 | TclTLS 1.7.7 check-in: 027e77a11d user: rkeene tags: tls-1-7, tls-1-7-7 | |
Changes
Modified Makefile.in from [cbd033543a] to [c7c49da0d5].
︙ | |||
54 55 56 57 58 59 60 | 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 | - + | # Install the extension install: @EXTENSION_TARGET@ pkgIndex.tcl $(INSTALL) -d '$(DESTDIR)$(PACKAGE_INSTALL_DIR)' $(INSTALL) -t '$(DESTDIR)$(PACKAGE_INSTALL_DIR)' @EXTENSION_TARGET@ pkgIndex.tcl # Test target, run the automated test suite test: @EXTENSION_TARGET@ |
︙ |
Modified autogen.sh from [d8561c1b95] to [6c19085661].
︙ | |||
65 66 67 68 69 70 71 72 73 74 75 | 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 | + + + + | if diff aclocal.m4.new aclocal.m4 >/dev/null 2>/dev/null; then rm -f aclocal.m4.new else mv aclocal.m4.new aclocal.m4 fi automake --add-missing --copy --force-missing >/dev/null 2>/dev/null if ! [ -f install-sh -o -f install.sh -o -f shtool ]; then echo "automake failed" >&2 exit 1 fi autoconf rm -rf autom4te.cache |
Modified configure.ac from [8f716963b2] to [f138c662dd].
︙ | |||
127 128 129 130 131 132 133 | 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 | - + | fi dnl Find "pkg-config" since we need to use it AC_CHECK_TOOL([PKGCONFIG], [pkg-config], [false]) dnl Determine if we have been asked to use a fast path if possible tcltls_ssl_fastpath='no' |
︙ |
Modified tests/all.tcl from [f0eb96603f] to [419ccda953].
1 2 3 4 5 6 7 8 9 10 11 | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 | - + + | # all.tcl -- # # This file contains a top-level script to run all of the Tcl # tests. Execute it by invoking "source all.test" when running tcltest # in this directory. # # Copyright (c) 1998-2000 by Ajuba Solutions. # All rights reserved. # # RCS: @(#) $Id: all.tcl,v 1.5 2000/08/15 18:45:01 hobbs Exp $ |
︙ |
Modified tlsBIO.c from [e6c5524fec] to [561dcc523d].
︙ | |||
137 138 139 140 141 142 143 | 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 | - - - - + | dprintf("Setting retry read flag"); BIO_set_retry_read(bio); } else if (ret < 0) { dprintf("We got some kind of I/O error"); if (tclErrno == EAGAIN) { dprintf("It's EAGAIN"); |
︙ | |||
193 194 195 196 197 198 199 | 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 | - - - - + | dprintf("Setting retry read flag"); BIO_set_retry_read(bio); } else if (ret < 0) { dprintf("We got some kind of I/O error"); if (tclErrno == EAGAIN) { dprintf("It's EAGAIN"); |
︙ |
Modified tlsIO.c from [0aa31db5a9] to [f8a8e7a642].
︙ | |||
463 464 465 466 467 468 469 470 471 472 473 474 475 476 | 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 | + + + + + | break; case SSL_ERROR_ZERO_RETURN: dprintf("Got SSL_ERROR_ZERO_RETURN, this means an EOF has been reached"); bytesRead = 0; *errorCodePtr = 0; break; case SSL_ERROR_WANT_READ: dprintf("Got SSL_ERROR_WANT_READ, mapping this to EAGAIN"); bytesRead = -1; *errorCodePtr = EAGAIN; break; default: dprintf("Unknown error (err = %i), mapping to EOF", err); *errorCodePtr = 0; bytesRead = 0; break; } |
︙ | |||
566 567 568 569 570 571 572 | 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 | - + + + | switch (err) { case SSL_ERROR_NONE: if (written < 0) { written = 0; } break; case SSL_ERROR_WANT_WRITE: |
︙ |